**`Shubham Gupta `[NAME]**-NL- **`+91-7042268829`[PHONES_PHONE]** -NL- **`Shubhamg2595@gmail.com`[EMAILS_EMAIL]** -NL- https://www.linkedin.com/in/shubhamgupta2595/ -NL- **`PROFILE SUMMARY`[SUMMARY_HEADING]** -NL- A Result-driven, customer-focused and analytical Software Developer. Strong -NL- in design and integration problem-solving skills. Skilled in JavaScript, React JS, -NL- SQL and MongoDB with database analysis and design. Strong written and -NL- verbal communications. Interested in a challenging technical track career in an -NL- application development environment. -NL- **`PROFESSIONAL SUMMARY`[SUMMARY_HEADING]** -NL- o Over 2+ years of IT experience which includes 1.4+ years of Extensive -NL- experience as a React JS Developer and several months of experience as -NL- Oracle Apps Consultant. -NL- o Extensive experience in developing web pages using HTML/HTML5, -NL- JavaScript, React JS, Redux , Redux-Saga , JSON, Node.js,, Ajax and -NL- WebSockets . -NL- o Experienced in MERN stack development Mongo dB, Express, ReactJS, -NL- and Node. -NL- o Extensive knowledge in developing single - page applications (SPAs) with -NL- React JS framework. -NL- o Experienced in working with Redux architecture using complex Object- -NL- Oriented concepts in improving the performance of the websites. -NL- o Experience in using React JS components, Forms, Events, Keys, Router, -NL- plus Redux and using Redux DevTools for Debugging. -NL- o Familiar with creating Custom Reusable React Components Library. -NL- o Experienced in working with Node.JS and NPM modules like http-server, -NL- path, mongoose, sequelize , Request, express and templating engines. -NL- o Involved in writing application level code to interact with APIs, -NL- RESTful Web Services using AJAX, JSON. -NL- o Used GitHub and BitBucket SVN for source code management and for -NL- version control. -NL- o Excellent communication and Inter-Personal Skills, well organized, goal -NL- oriented. -NL- **`TECHNICAL SKILLS`[SKILLS_HEADING]** -NL- Web Technologies: HTML, HTML5, JavaScript(ES6), AJAX, JSON, React -NL- JS,Redux, WebSockets, Express JS, Node.js, GitHub, GraphQL. -NL- Development tools: Visual Studio Code, Atom, MongoDB Compass , -NL- and Notepad++. -NL- Debugging tools: Chrome Developer Tools, Redux DevTools. -NL- Frameworks: React JS, Node JS. -NL- Database : MONGO DB. -NL- Programming Languages : JavaScript , MongoDB. -NL- **`PROFESSIONAL EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL- **`Infogain India`[EMPLOYER_COMPANY_NAME]**, Noida -NL- **`UI Developer/ React JS Developer`[EMPLOYER_ROLE]** -NL- Client: Samsung -NL- Project Name : Samsung Knox -NL- Duration: Oct 2018 – Till Date -NL- Responsibilities: -NL- ➢ Design and develop HTML5, CSS3, Material-UI, JavaScript and React.JS that -NL- meets accessibility and web browser standards for website. -NL- ➢ Used React JS for templating for faster compilation and developing -NL- reusable components. -NL- ➢ Worked on Optimizing ReactJS Single Page Applications using React-Memo, -NL- lazy-loading, React Fragments, Unmounting Components, Conditional- -NL- Rendering, Error-Boundaries, Debouncing Events, Reselect. -NL- ➢ Complete Store Management for entire application using Redux. -NL- ➢ Asynchronous operations handled well using Redux-Saga. -NL- ➢ Worked with backend engineers to optimize existing API calls to create -NL- efficiencies by deprecating unneeded API calls. -NL- ➢ Called the Restful web services calls for POST, PUT, -NL- DELETE and GET methods. -NL- ➢ Worked with TCP and WebSocket. -NL- ➢ Extensively used Git for version controlling and regularly pushed the code -NL- to GitHub. -NL- ➢ Used JIRA as the bug tracking system to track and maintain the history -NL- of bugs/issues on everyday basis. -NL- ➢ Involved in complete SDLC - Requirement Analysis, Development, System -NL- and Integration Testing. -NL- ➢ Handled cross browser/platform compatibility issues (IE, Firefox, and -NL- Chrome). -NL- **`Infogain India`[EMPLOYER_COMPANY_NAME]**, Noida -NL- **`Oracle SQL Developer`[EMPLOYER_ROLE]** -NL- Client: NetApp -NL- Project Name : QuoteEdge -NL- Duration: Apr-2018 – Oct-2018 -NL- Responsibilities: -NL- ➢ Involved in Designing, Coding (Packages, Procedures Functions, Triggers, -NL- Index & Other DB Objects). -NL- ➢ Responsible for writing RESTful services with PL/SQL using Oracle Rest -NL- Data Services. -NL- ➢ Experience in writing optimized SQL queries. -NL- **`EDUCATIONAL SUMMARY`[EDUCATION_HEADING]** -NL- ❖ **`Bachelor of Engineering`[EDUCATION_DEGREE]** (**`Computer Science`[EDUCATION_COURSE]**) from Raj Kumar Goel -NL- Institute of Technology (Ghaziabad, Uttar Pradesh) from July-2014 - -NL- May-2018 securing Honours Degree with aggregate 78.2% in all -NL- semesters. -NL- ❖ Secondary and Senior Secondary School from Central Board of -NL- Secondary Education (CBSE, INDIA) in Jun2012 and Jun-2014 with 9.2 -NL- CGPA and 70.2% respectively. -NL- **`PERSONAL DETAILS`[PERSONAL_DETAILS_HEADING]** -NL- Date of Birth: 25th December,1995 -NL- Nationality: Indian -NL- Languages (Read, Write and Speak): Hindi and English -NL- Current Working Location: Noida, India -NL- **`CONTACT DETAILS`[PERSONAL_DETAILS_HEADING]** -NL- Contact Number: 7042268829 -NL- Mail: shubhamg2595@gmail.com -NL- LinkedIn: https://www.linkedin.com/in/shubhamgupta2595/ -NL- 